{{ if .Values.geoserver.enabled }}
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: prod-geoserver
  namespace: argocd
spec:
  project: aux
  destination:
    server: https://kubernetes.default.svc
    namespace: geoserver
  sources:
  - repoURL: https://gitlab.com/oceanbox/manifests.git
    targetRevision: main
    path: values/geoserver
    plugin:
      name: kustomize-helm-with-rewrite
      parameters:
      - name: env
        string: prod
      - name: hostname
        string: geoserver.srv.oceanbox.io
      - name: flags
        string: "--skip-tests"
      - name: chart
        string: ncsa/geoserver
{{- end }}
